{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-33.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "perl-Compress-Raw-Lzma-2.212-3.fc41",
        "store-results-to": "/tmp/tmpdu51zfae/perl-Compress-Raw-Lzma-2.212-3.fc41.tar.xz",
        "time-created": "2024-07-03 16:36:18",
        "time-finished": "2024-07-03 16:37:14",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpdu51zfae/perl-Compress-Raw-Lzma-2.212-3.fc41.tar.xz' '--gcc-analyze' '/tmp/tmpdu51zfae/perl-Compress-Raw-Lzma-2.212-3.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Compress-Raw-Lzma-2.212-build/Compress-Raw-Lzma-2.212/Lzma.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "fd38663c40a9c1b47ba75c0df613e5abca601be7",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Compress-Raw-Lzma-2.212-build/Compress-Raw-Lzma-2.212/Lzma.c",
                    "line": 2589,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'file' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-Compress-Raw-Lzma-2.212-build/Compress-Raw-Lzma-2.212/Lzma.c",
                    "line": 2589,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'file' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2587|       char* file = __FILE__;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2588|   #else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2589|->     const char* file = __FILE__;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2590|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2591|   ",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
